import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { DataTableComponent } from './data-table.component';
import { isImmutableEmpty } from '../utils/lange-utils';
var DataTableBodyComponent = (function () {
    function DataTableBodyComponent(dt) {
        this.dt = dt;
        this.isEmpty = isImmutableEmpty;
    }
    return DataTableBodyComponent;
}());
export { DataTableBodyComponent };
DataTableBodyComponent.decorators = [
    { type: Component, args: [{
                selector: 're-data-table-body,[reDataTableBody]',
                template: "\n    <tr *ngFor=\"let rowItem of dataSource; let rowIndex = index\" reDataTableRow [selectable]=\"selectable\"\n        [checkable]=\"checkable\" [rowIndex]=\"rowIndex\" [rowItem]=\"rowItem\" [columns]=\"columns\" [editRowItem]=\"editRowItem\"\n        [editModel]=\"editModel\" [dataTableTemplates]=\"dataTableTemplates\" [allChecked]=\"allChecked\">\n    </tr>\n    <tr *ngIf=\"isEmpty(dataSource)\">\n      <td [attr.colspan]=\"columns.length\" class=\"text-center\">{{emptyRowText}}</td>\n    </tr>\n  ",
                styles: ["\n    .table-row-selected{background-color:#d9edf7 !important}\n  "],
                changeDetection: ChangeDetectionStrategy.OnPush
            },] },
];
/** @nocollapse */
DataTableBodyComponent.ctorParameters = function () { return [
    { type: DataTableComponent, },
]; };
DataTableBodyComponent.propDecorators = {
    'checkable': [{ type: Input },],
    'allChecked': [{ type: Input },],
    'selectable': [{ type: Input },],
    'editModel': [{ type: Input },],
    'editRowItem': [{ type: Input },],
    'dataSource': [{ type: Input },],
    'emptyRowText': [{ type: Input },],
    'columns': [{ type: Input },],
    'dataTableTemplates': [{ type: Input },],
};
//# sourceMappingURL=data-table-body.component.js.map