import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { DataTableComponent } from './data-table.component';
var DataTablePagerComponent = (function () {
    function DataTablePagerComponent(dt) {
        this.dt = dt;
        this.pagerMaxItems = 8;
    }
    DataTablePagerComponent.prototype.onPageChange = function ($event) {
        this.dt.onPageChange($event);
    };
    return DataTablePagerComponent;
}());
export { DataTablePagerComponent };
DataTablePagerComponent.decorators = [
    { type: Component, args: [{
                selector: 're-data-table-pager,[reDataTablePager]',
                template: "\n    <ng-template [ngTemplateOutlet]=\"pagerTemplate? pagerTemplate.template : dataTableTemplates.pagerTemplate\"\n              [ngOutletContext]=\"{ $implicit: this, pager: pager }\"> </ng-template>\n  ",
                changeDetection: ChangeDetectionStrategy.OnPush
            },] },
];
/** @nocollapse */
DataTablePagerComponent.ctorParameters = function () { return [
    { type: DataTableComponent, },
]; };
DataTablePagerComponent.propDecorators = {
    'pager': [{ type: Input },],
    'dataTableTemplates': [{ type: Input },],
    'pagerTemplate': [{ type: Input },],
};
//# sourceMappingURL=data-table-pager.component.js.map