import { Injectable, ComponentFactoryResolver } from '@angular/core';
import { ModalService } from '../modal/modal.service';
import { AlertDialogComponent } from './alert-dialog.component';
import { ConfirmDialogComponent } from './confirm-dialog.component';
var DialogService = (function () {
    function DialogService(modalService, componentFactoryResolver) {
        this.modalService = modalService;
        this.componentFactoryResolver = componentFactoryResolver;
    }
    DialogService.prototype.alert = function (dialogOptions) {
        return this.modalService.open({
            component: AlertDialogComponent,
            componentFactoryResolver: this.componentFactoryResolver,
            resolve: dialogOptions,
            modalClass: dialogOptions.cssClass,
            injector: dialogOptions.injector,
            rootContainer: dialogOptions.rootContainer,
        });
    };
    DialogService.prototype.confirm = function (dialogOptions) {
        return this.modalService.open({
            component: ConfirmDialogComponent,
            componentFactoryResolver: this.componentFactoryResolver,
            resolve: dialogOptions,
            modalClass: dialogOptions.cssClass,
            injector: dialogOptions.injector,
            rootContainer: dialogOptions.rootContainer,
        });
    };
    return DialogService;
}());
export { DialogService };
DialogService.decorators = [
    { type: Injectable },
];
/** @nocollapse */
DialogService.ctorParameters = function () { return [
    { type: ModalService, },
    { type: ComponentFactoryResolver, },
]; };
//# sourceMappingURL=dialog.service.js.map