import { ElementRef, AfterViewInit, Renderer2, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { SelectFileModel } from './file-upload.model';
import { Http, RequestOptions } from '@angular/http';
import { RebirthNGConfig } from '../rebirth-ng.config';
export declare class FileUploadComponent implements AfterViewInit {
    private rebirthNGConfig;
    private renderer;
    private http;
    private changeDetectorRef;
    accept: string;
    multiple: boolean;
    autoUpload: boolean;
    maxItems: number;
    maxFileSize: number;
    uploadUrl: string;
    uploadParamName: string;
    uploadRequestOptions: RequestOptions;
    imgPreview: boolean;
    previewWidth: string;
    cssClass: string;
    fileSizeErrorMessage: string;
    fileTypeErrorMessage: string;
    chooseButton: string;
    uploadButton: string;
    cancelButton: string;
    selectFilesChange: EventEmitter<SelectFileModel[]>;
    fileUploadSuccess: EventEmitter<any>;
    fileUploadError: EventEmitter<any>;
    removeDone: EventEmitter<any>;
    fileInput: ElementRef;
    selectFiles: SelectFileModel[];
    uploadFiles: SelectFileModel[];
    errors: string[];
    constructor(rebirthNGConfig: RebirthNGConfig, renderer: Renderer2, http: Http, changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    isMoreThanMaxItems(): boolean;
    clearErrors(): void;
    onDropFiles($event: any): void;
    addNewFile(fileInput: HTMLInputElement, $event: any): void;
    newFileChoose(fileInput: HTMLInputElement): void;
    removeAllSelectedFiles(): void;
    onRemoveFile(fileItem: any): void;
    uploadAllFiles(): void;
    private uploadFile(fileItem);
    private handleFileChoose(uploadFiles);
    validFiles(files: File[]): File[];
    validFile(file: File): boolean;
    private validFileType(file);
    mapFileModel(files: File[]): Promise<SelectFileModel[]>;
}
